package com.kym.service.impl;


import com.github.pagehelper.PageHelper;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.kym.entity.queryParams.CommonQueryParam;
import com.kym.entity.vo.CustomRechargeVo;
import com.kym.entity.common.PageBean;
import com.kym.entity.PayLog;
import com.kym.mapper.PayLogMapper;
import com.kym.service.PayLogService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 支付日志 服务实现类
 * </p>
 *
 * @author skyline
 * @since 2023-08-12
 */
@Service
public class PayLogServiceImpl extends MPJBaseServiceImpl<PayLogMapper, PayLog> implements PayLogService {
    @Override
    public PageBean<CustomRechargeVo> listRecharge(CommonQueryParam params) {
        PageHelper.startPage(params.getPageNum(), params.getPageSize());
        //  充值记录（交易单号，用户，充值金额，充值方式，第三方充值编号，充值时间）
        List<CustomRechargeVo> list = baseMapper.listRecharge(params);
        return new PageBean<>(list);
    }

    @Override
    public PayLog getByOutTradeNo(String outTradeNo) {
        return lambdaQuery().eq(PayLog::getOutTradeNo, outTradeNo).one();
    }

}
